<template>
  <div class="right1-container">
    <InfoHeader
      name="各小区救援次数统计"
      eName="Statistics of trapped in community"
    ></InfoHeader>
    <InfoContent height="4.2rem">
      <div style="padding: 0.1rem 0.2rem;">
        <VantCalendarPicker :isHms="true" @dateChange="dateChange" width="100%"></VantCalendarPicker>
      </div>
      <div class="d-flex" style="width: 100%;padding: 0.25rem">
        <BarCharts
          chartId="rightsssssw2sdsadass"
          :chartXData="chartXData"
          :chartYData="chartYData"
          :chartSettings="chartSettings"
        ></BarCharts>
      </div>
    </InfoContent>
  </div>
</template>
  
  <script>
import InfoHeader from "@/components/infoHeader";
import InfoContent from "@/components/infoContent";
import BarCharts from "@/components/barCharts";
import { getAreaReasonOfBad } from "@/api/elevator";
import moment from "moment";
import VantCalendarPicker from '@/components/VantCalendarPicker/index.vue';
export default {
  components: {
    InfoHeader,
    InfoContent,
    BarCharts,

    VantCalendarPicker
  },
  data() {
    return {
      chartXData: [],
      chartYData: [],
      startTime: moment().subtract(3, "months").format("YYYY-MM-DD HH:mm:ss"),
      endTime: moment().format("YYYY-MM-DD HH:mm:ss"),
      chartSettings: { legendTextArr: ["次数"], height: "2.8rem" },
    };
  },
  created() {
    this.getRankRescueAnaApi();
  },
  methods: {
    getRankRescueAnaApi() {
      getAreaReasonOfBad({
        startTime: this.startTime,
        endTime: this.endTime,
      }).then((res) => {
        if (res.data.length > 0) {
          this.chartXData = res.data.map((item) => {
            return item.deptName;
          });
          this.chartYData = res.data.map((item) => {
            return item.rescueNum;
          });
        } else {
          this.chartXData = ["无数据"];
          this.chartYData = [0];
        }
      });
    },
    dateChange(e) {
      console.log(e);
      this.startTime = e[0];
      this.endTime = e[1];
      this.getRankRescueAnaApi();
    },
  },
};
</script>
  <style lang="scss" scoped>
.right1-container {

  width: 100%;
  pointer-events: all;
  margin-top: 0.3rem;
  .title1 {
    background-image: url("../../../assets/images/biaoti-bck.png");
    width: 1.875rem;
    height: 0.375rem;
    line-height: 0.375rem;
    margin: 0 auto;

    font-size: 0.2rem;
    color: white;
  }
  .order {
    background: url("../../../assets/images/guzhang_bck.png");
    background-repeat: no-repeat;
    background-size: 100% 35%;
    background-position: bottom;
    height: 3.25rem;
    .rate {
      font-size: 0.55rem;
      color: white;
      font-weight: bolder;
    }
    .item {
      margin: 0.375rem 0;
      .num-title {
        font-size: 0.3rem;
        color: white;
      }
      .num-value {
        font-size: 0.36rem;
        color: white;
        margin-left: 0.15rem;
      }
    }
  }
}
</style>
  